@echo off & setlocal enableextensions

:: webaddm.bat for citeswood. Revised 10/4/2023. M.J. Dallwitz

:: Add filenames for Web distribution, main folder. Called by webgenm.bat.
:: If a file does not exist, an error message is displayed
:: and ERRORLEVEL is set to 1.
:: If a file exists, its name is appended to addfil_.tmp.

set addfil_=0

if "%1%" equ "" goto e-par
if "%1%" equ "data" goto data
if "%1%" equ "general" goto general
goto e-par

:: (Files to be included in the Intkey zipfile are set in webadds.bat.)

:: Files to be include in the 'data' zipfile.
:data

call addfil_ *.
call addfil_ *.bat
call addfil_ *.bmp
call addfil_ *.css
call addfil_ *.doc*
call addfil_ *.docx
call addfil_ *.exc
call addfil_ *.gif
call addfil_ *.htm
call addfil_ *.inp

call addfil_ *.de
call addfil_ *.en
call addfil_ *.es
call addfil_ *.fr

call addfil_ de\*
call addfil_ en\*
call addfil_ es\*
call addfil_ fr\*

call addfil_ de\tech\*
call addfil_ en\tech\*
call addfil_ es\tech\*
call addfil_ fr\tech\*

goto finish

:: Files to be placed (unzipped) on the Web site.
:general

call addfil_ deltlogo.gif
call addfil_ style.css
call addfil_ index.htm

goto finish

:e-par
echo Parameter error in call to webaddm.bat.
endlocal
exit /b 1

:finish
if %addfil_% neq 0 exit /b 1
exit /b 0
